# "Global" parameters that can be referenced in operation parameters with
# - $ref: "#/parameters/TheParamNameFromBelow"
action:
  name: action
  in: query
  schema:
    type: string
    enum:
      - convert
      - getpreview
      - getthumbnail
      - beginconvert
      - getpage
      - endconvert
      - batchconvert
      - rconvert
    default: convert
  description: Set to the appropriate action value, that determines the type of request.

################################################################################

async:
  name: async
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

autoscale:
  name: autoscale
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

cacheonly:
  name: cacheonly
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

cachehash:
  name: cachehash
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

filtershortname:
  name: filtershortname
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

hidechanges:
  name: hidechanges
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

hidecomments:
  name: hidecomments
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

firstpageonly:
  name: firstpageonly
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

imageresolution:
  name: imageresolution
  in: query
  schema:
    type: integer
    format: int16
  description: TODO (KA)

################################################################################
  
imagescaletype:
  name: imagescaletype
  in: query
  schema:
    type: string
    enum:
      - contain
      - cover
    default: contain

################################################################################

infofilename:
  name: infofilename
  in: query
  schema:
    type: string
    description: TODO (KA)

################################################################################

inputtype:
  name: inputtype
  in: query
  schema:
    type: string
    description: TODO (KA)

################################################################################

jobtype:
  name: jobtype
  in: query
  schema:
    type: string
    enum:
      - graphic
      - html
      - image
      - imagetransformation
      - odf
      - ooxml
      - pdf
      - pdf2grf
      - pdf2html
      - pdf2svg
      - pdfenctest
    default: pdf
  description: TODO (KA)

################################################################################
  
jobid:
  name: jobid
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################
  
locale:
  name: locale
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

method:
  name: method
  in: query
  schema:
    type: string
    enum:
      - convert
      - queryavailability
      - beginpageconversion
      - getconversionpage
      - endpageconversion
    default: convert
  description: TODO (KA)

################################################################################

metrics:
  name: metrics
  in: query
  schema:
    type: string
    default: "false"
  description: Set to "yes", if a metrics summary should be returned.

################################################################################

mimetype:
  name: mimetype
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

nocache:
  name: nocache
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)

################################################################################

pagerange:
  name: pangerange
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

pagenumber:
  name: pangenumber
  in: query
  schema:
    type: integer
    format: int16
  description: TODO (KA)

################################################################################

pixelwidth:
  name: pixelwidth
  in: query
  schema:
    type: integer
    format: int32
  description: TODO (KA)

################################################################################

pixelheight:
  name: pixelheight
  in: query
  schema:
    type: integer
    format: int32
  description: TODO (KA)

################################################################################

priority:
  name: priority
  in: query
  schema:
    type: string
    enum:
      - background
      - low
      - medium
      - high
      - inastant
    default: background
  description: TODO (KA)

################################################################################

remotecachehash:
  name: remotecachehash
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

remoteurl:
  name: remoteurl
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################
  
returntype:
  name: returntype
  in: query
  schema:
    type: string
    enum:
      - json
      - file
    default: json
  description: TODO (KA)

################################################################################
  
targetformat:
  name: targetformat
  in: query
  schema:
    type: string
    enum:
      - jpeg
      - png
    default: jpeg
  description: TODO (KA)

################################################################################
  
url:
  name: url
  in: query
  schema:
    type: string
  description: TODO (KA)

################################################################################

userrequest:
  name: userrequest
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)
  
################################################################################
  
ziparchive:
  name: ziparchive
  in: query
  schema:
    type: string
    enum:
      - false
      - true
    default: false
  description: TODO (KA)
